package com.ruoyi.custclient.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.LabelType;

/**
 * 标签组Service接口
 *
 * @author ruoyi
 * @date 2024-10-17
 */
public interface ILabelTypeService extends IService<LabelType> {
    /**
     * 查询标签组
     *
     * @param id 标签组主键
     * @return 标签组
     */
    public LabelType selectLabelTypeById(Long id);

    /**
     * 查询标签组列表
     *
     * @param labelType 标签组
     * @return 标签组集合
     */
    public List<LabelType> selectLabelTypeList(LabelType labelType);

    /**
     * 新增标签组
     *
     * @param labelType 标签组
     * @return 结果
     */
    public int insertLabelType(LabelType labelType);

    /**
     * 修改标签组
     *
     * @param labelType 标签组
     * @return 结果
     */
    public int updateLabelType(LabelType labelType);

    /**
     * 批量删除标签组
     *
     * @param ids 需要删除的标签组主键集合
     * @return 结果
     */
    public int deleteLabelTypeByIds(Long[] ids);

    /**
     * 删除标签组信息
     *
     * @param id 标签组主键
     * @return 结果
     */
    public int deleteLabelTypeById(Long id);
}
